/****************************************************************
 *  Vidalia is distributed under the following license:
 *
 *  Copyright (C) 2006,  Matt Edman, Justin Hipple
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 *  Boston, MA  02110-1301, USA.
 ****************************************************************/

/** 
 * \file domainvalidator.cpp
 * \version $Id: domainvalidator.cpp 1563 2006-12-26 06:06:04Z edmanm $
 * \brief Validates that a given domain name is (probably) valid
 */

#include "domainvalidator.h"

/** Regular expression to validate that input is a valid IP address. */
#define DOMAIN_REGEXP \
"^([a-zA-Z0-9]([a-zA-Z0-9\\-]{0,61}[a-zA-Z0-9])?\\.)+[a-zA-Z]{2,6}$"


/** Constructor. */
DomainValidator::DomainValidator(QObject *parent)
: QRegExpValidator(QRegExp(DOMAIN_REGEXP), parent)
{
}

